Subject: bug#13793: 24.3.50; M-x broken in viper and X

From: Stefan Monnier <[email-masked]>
Date: Tue, 02 Jul 2013 14:18:58 -0400

> However, I am concerned how it works under XEmacs.

Not sure how to get it to work in both, indeed.  The faces.el patch is
not indispensable (we could probably come up with some other hook for
it), but I'm not sure if XEmacs provides something equivalent to
input-decode-map.

> actually, I just updated to the latest version of emacs from bzr and it
> breaks Viper completely.

Right, that's what this discussion is all about.

> Even M-x does not work: says M-x is undefined.
> I thought the previous reports were talking only about terminal windows.

No, the previous reports are about GUI frames,

        Stefan